RDKit::Chirality::StereoInfo Struct Reference

`#include <Chirality.h>`

## Public Member Functions

bool | operator== (const StereoInfo &other) const
bool | operator!= (const StereoInfo &other) const

## Public Attributes

StereoType | type = StereoType::Unspecified
StereoSpecified | specified = StereoSpecified::Unspecified
unsigned | centeredOn = NOATOM
StereoDescriptor | descriptor = StereoDescriptor::None
std::vector< unsigned > | controllingAtoms

## Static Public Attributes

static const unsigned | NOATOM

## Detailed Description

Definition at line 76 of file Chirality.h.

## Member Function Documentation

## operator!=()

bool RDKit::Chirality::StereoInfo::operator!= | ( | const StereoInfo & | other | ) | const

inline

Definition at line 95 of file Chirality.h.

## operator==()

bool RDKit::Chirality::StereoInfo::operator== | ( | const StereoInfo & | other | ) | const

inline

Definition at line 90 of file Chirality.h.

References centeredOn, controllingAtoms, descriptor, specified, and type.

## Member Data Documentation

## centeredOn

unsigned RDKit::Chirality::StereoInfo::centeredOn = NOATOM

Definition at line 86 of file Chirality.h.

Referenced by operator==().

## controllingAtoms

std::vector<unsigned> RDKit::Chirality::StereoInfo::controllingAtoms

Definition at line 88 of file Chirality.h.

Referenced by operator==().

## descriptor

StereoDescriptor RDKit::Chirality::StereoInfo::descriptor = StereoDescriptor::None

Definition at line 87 of file Chirality.h.

Referenced by operator==().

## NOATOM

const unsigned RDKit::Chirality::StereoInfo::NOATOM

static

Definition at line 82 of file Chirality.h.

## specified

StereoSpecified RDKit::Chirality::StereoInfo::specified = StereoSpecified::Unspecified

Definition at line 85 of file Chirality.h.

Referenced by operator==().

## type

StereoType RDKit::Chirality::StereoInfo::type = StereoType::Unspecified

Definition at line 84 of file Chirality.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- Chirality.h